org.apache.ignite.internal.processors.cache.persistence.defragmentation

## Interface IgniteDefragmentation

All Known Implementing Classes:
  IgniteDefragmentationImpl

    public interface IgniteDefragmentation

Defragmentation operation service.

### Nested Class Summary

Nested Classes
`static class` `IgniteDefragmentation.CancelResult` Result of the cancellation.
`static class` `IgniteDefragmentation.CompletedDefragmentationInfo`
`static class` `IgniteDefragmentation.DefragmentationInfo`
`static class` `IgniteDefragmentation.DefragmentationStatus`
`static class` `IgniteDefragmentation.InProgressDefragmentationInfo`
`static class` `IgniteDefragmentation.ScheduleResult` Result of the scheduling.

### Method Summary

All Methods Instance Methods Abstract Methods
`IgniteDefragmentation.CancelResult` `cancel()` Cancel scheduled or ongoing defragmentation.
`boolean` `inProgress()`
`int` `processedPartitions()`
`IgniteDefragmentation.ScheduleResult` `schedule(List<String> cacheNames)` Schedule defragmentaton on next start of the node.
`long` `startTime()`
`IgniteDefragmentation.DefragmentationStatus` `status()` Get the status of the ongoing defragmentation.
`int` `totalPartitions()`

### Method Detail

#### schedule

    IgniteDefragmentation.ScheduleResult schedule(List<String> cacheNames)
                                           throws IgniteCheckedException

Schedule defragmentaton on next start of the node.

Parameters:
  `cacheNames` - Names of caches to run defragmentation on.
Returns:
  Result of the scheduling.
Throws:
  `IgniteCheckedException` - If failed.

#### cancel

    IgniteDefragmentation.CancelResult cancel()
                                       throws IgniteCheckedException

Cancel scheduled or ongoing defragmentation.

Returns:
  Result of the cancellation.
Throws:
  `IgniteCheckedException` - If failed.

#### status

    IgniteDefragmentation.DefragmentationStatus status()
                                                throws IgniteCheckedException

Get the status of the ongoing defragmentation.

Returns:
  Defragmentation status.
Throws:
  `IgniteCheckedException` - If failed.

#### inProgress

    boolean inProgress()

Returns:
  `true` if there is an ongoing defragmentation.

#### processedPartitions

    int processedPartitions()

Returns:
  Number of processed partitions, or 0 if there is no ongoing defragmentation.

#### totalPartitions

    int totalPartitions()

Returns:
  Number of total partitions, or 0 if there is no ongoing defragmentation.

#### startTime

    long startTime()

Returns:
  Timestamp of the beginning of the ongoing defragmentation or 0 if there is none.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023